# -*- coding: utf-8 -*-

reactions_gases = [
 {'CO2': 1.0,
  'CO2(g)': -1.0,
  'phase_name': 'CO2(g)',
  'T_c': 304.2,
  'P_c': 72.86,
  'Omega': 0.225,
  'log_K25': -1.468,
  'deltah': -4.776,
  'log_K_coefs': [10.5624, -0.023547, -3972.8, 0.0, 587460.0, 1.9194e-05],
  'type': 'rev'},
 {'H2O': 1.0,
  'H2O(g)': -1.0,
  'phase_name': 'H2O(g)',
  'T_c': 647.3,
  'P_c': 217.6,
  'Omega': 0.344,
  'log_K25': 1.506,
  'deltah': -10.52342256214149,
  'log_K_coefs': [-16.5066, -0.0020013, 2710.7, 3.7646, 0.0, 2.24e-06],
  'type': 'rev'},
 {'O2': 1.0,
  'O2(g)': -1.0,
  'phase_name': 'O2(g)',
  'T_c': 154.6,
  'P_c': 49.8,
  'Omega': 0.021,
  'log_K25': -2.8983,
  'log_K_coefs': [-7.5001, 0.0078981, 0.0, 0.0, 200270.0],
  'type': 'rev'},
 {'H2': 1.0,
  'H2(g)': -1.0,
  'phase_name': 'H2(g)',
  'T_c': 33.2,
  'P_c': 12.8,
  'Omega': -0.225,
  'log_K25': -3.105,
  'deltah': -1.0,
  'log_K_coefs': [-9.3114, 0.0046473, -49.335, 1.4341, 128150.0],
  'type': 'rev'},
 {'N2': 1.0,
  'N2(g)': -1.0,
  'phase_name': 'N2(g)',
  'T_c': 126.2,
  'P_c': 33.5,
  'Omega': 0.039,
  'log_K25': -3.1864,
  'log_K_coefs': [-58.453, 0.001818, 3199.0, 17.909, -27460.0],
  'type': 'rev'},
 {'H+': 1.0,
  'HS-': 1.0,
  'H2S(g)': -1.0,
  'phase_name': 'H2S(g)',
  'T_c': 373.2,
  'P_c': 88.2,
  'Omega': 0.1,
  'log_K25': -7.9759,
  'log_K_coefs': [-97.354, -0.031576, 1828.5, 37.44, 28.56],
  'type': 'rev'},
 {'CH4': 1.0,
  'CH4(g)': -1.0,
  'phase_name': 'CH4(g)',
  'T_c': 190.6,
  'P_c': 45.4,
  'Omega': 0.008,
  'log_K25': -2.8,
  'log_K_coefs': [10.44, -0.00765, -6669.0, 0.0, 1014000.0],
  'type': 'rev'},
 {'NH3': 1.0,
  'NH3(g)': -1.0,
  'phase_name': 'NH3(g)',
  'T_c': 405.6,
  'P_c': 111.3,
  'Omega': 0.25,
  'log_K25': 1.7966,
  'log_K_coefs': [-18.758, 0.0003367, 2511.3, 4.8619, 39.192],
  'type': 'rev'}
 ]
